Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

clamd not start after upgrade to 0.90-1.9.3

Discussion in 'cPanel Developers' started by teerasak, Feb 23, 2007.

  1. teerasak

    teerasak Member

    Joined:
    Sep 25, 2002
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    151
    Location:
    Bangkok
    clamd not start after update to version 0.90-1.9.3 on CentOS-4.4 x86_64.

    Error message are:
    clamd: error while loading shared libraries: libclamav.so.1: cannot open shared objec

    Could some one help me please ?

    Thanks.
    Teerasak
     
  2. brendanrtg

    brendanrtg Well-Known Member

    Joined:
    Oct 4, 2006
    Messages:
    311
    Likes Received:
    0
    Trophy Points:
    166
    UNINSTALL CLAMAV and then install it again under WHM.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. teerasak

    teerasak Member

    Joined:
    Sep 25, 2002
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    151
    Location:
    Bangkok
    Thanks for your reply. I have try to install and unstall many times. Still not work.
    I found how to fixed this problem on google search. This happens because dgav don't know where libclamav.so.1 file is or clamav libraries are not installed.

    I need to add line /usr/lib in file /etc/ld.so.conf
    Then run ldconfig

    Final problem has been solved.
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice